import urequests
import config
from connection import connection
from machine import Pin
from time import sleep
import random

wait_pin = Pin(13, Pin.OUT)
good_pin = Pin(15, Pin.OUT)
bad_pin = Pin(14, Pin.OUT)

# Send the POST request with the raw image data as the body
url = f"http://{config.server}:{config.port}/{config.data_path}"


def send_image(image_file_path):
    with open(image_file_path, "rb") as f:
        image_data = f.read()
    headers = {"Content-Type": "image/jpeg"}
    response = urequests.post(url, headers=headers, data=image_data)
    return response.json()


while connection.isconnected():
    good_pin.low()
    bad_pin.low()
    wait_pin.high()
    if random.choice([True, False]):
        response = send_image("1234.jpg")
    else:
        response = send_image("car2.jpg")
    print(response)
    wait_pin.low()
    if response["status"]:
        good_pin.high()
    else:
        bad_pin.high()
    sleep(1)
